sub PrintSimpleHeader
{
	$WebCodepage ||= $Language{phrase240} || "iso-8859-1";
	print "Content-type: text/html; charset=$WebCodepage\n\n";
	$Title = shift || "ISD Web Manager";

	print qq|
<html>
<head>
<style type="text/css">
BODY, TD {
$BodyTDStyle
}
 A:link {
$ALink
}
 A:visited { 
$ALink
}
 A:hover {
$AHover
}
INPUT, SELECT {
	background-color : $InputBGColor;
	color: Black;
	border: solid Black 1;
	font : 9pt Arial;
	height : 14pt;
}
TEXTAREA {
	background-color : $InputBGColor;
	border: solid Black 1;
}

TABLE {
	background-color : $MainTableColor;
	font : smaller Verdana;
}

</style>

<title>$Title</title>
<meta http-equiv="Content-Type" content="text/html; $WebCodepage">
</head>

<body bgcolor="$BGColor" text="$TextColor">
<table width="500" border="0" cellspacing="1" cellpadding="1" align="center">
  <tr>
    <td align="center"><b>$Title</b></td>
  </tr>
  <tr>
    <td align="center">|;
}

sub PrintSimpleFooter
{
	print qq(
    </td>
  </tr>
  <tr valign=top>
    <td align=center>$Copyright<br>$Copyright_local<br></td>
  </tr>
</table>
</body>
</html>);
}

sub PrintHeader
{
	print "\n";
	$Title = shift || "IServerd Web Manager";
	print qq|
<html>
<head>|;
print qq|<meta http-equiv="Refresh" content="$REFRESH">| if ($REFRESH);

	print <<HTML__;

<style type="text/css">

BODY, TD {
$BodyTDStyle
}

A:link {
$ALink
}

A:visited { 
$ALink
}

A:hover {
$AHover
}

INPUT, SELECT {
	background-color : $InputBGColor;
	color: Black;
	border: solid Black 1;
	font : 9pt Arial;
	height : 14pt;
}

TEXTAREA {
	background-color : $InputBGColor;
	border: solid Black 1;
}

TABLE {
	background-color : $MainTableColor;
	font : smaller Verdana;
}
</style>

<title>$Title</title>
<meta http-equiv="Content-Type" content="text/html; $WebCodepage">
</head>

<body bgcolor="$BGColor" text="$TextColor">
<table width="$MainTableSize" border="0" cellspacing="1" cellpadding="$MainTableCellPadding">
  <tr valign=top>
    <td width="$LeftTableSize" align="left"><img src="$URLToImages/isdwmlogo.gif" width="180" height="60"><br>
HTML__
}

sub PrintFooter
{
	print qq(
</td></tr><tr valign=top><td>&nbsp;</td><td align=center>$Copyright<br>$Copyright_local<br></td></tr>
</table>
</body>
</html>);
}

sub PrintMenu
{
	$Item = shift || 10;
	print <<HTML__;
      <table width="100%" border="0" cellspacing="0" cellpadding="$MenuCellPadding">
HTML__
	foreach (sort { $a<=>$b} keys %MenuItems)
	{
		if ($Item == $_) {
			print <<HTML__;
        <tr> 
          <td bgcolor="$MenuSelectedColor" onmouseover="this.style.backgroundColor='$MenuOverColor';"
	      onmouseout="this.style.backgroundColor='$MenuSelectedColor';">&raquo;&nbsp;<a href="isdwm.cgi?action=$MenuItems{$_}->[1]">$MenuItems{$_}->[0]</a></td>
        </tr>
HTML__
		} else {
			print <<HTML__;
        <tr> 
          <td onmouseover="this.style.backgroundColor='$MenuOverColor';"
	      onmouseout="this.style.backgroundColor='$MainTableColor';">&raquo;&nbsp;<a href="isdwm.cgi?action=$MenuItems{$_}->[1]">$MenuItems{$_}->[0]</a></td>
        </tr>
HTML__
		}
	}
	print qq(      </table>
    </td>
    <td align="center">);
}

1;