sub ReadLanguages
{
	my (@languges, @languages_list);

	eval
	{
		opendir(DIR,"language");
		@languages_list = readdir(DIR);
		closedir(DIR);
	}  || return;

	foreach (sort @languages_list) {
		chomp;
		if (-f "language/$_") {
			push (@languges, $_)
		}
	}

	return @languges;
}

sub LoadLanguage
{
	my $language = shift;

	unless (eval  {do "language/$language"})
	{
		&PrintSimpleHeader;
		print "Can't read: language/$language!</h2>";
		&PrintSimpleFooter;
		exit;
	}
	return 1;
}

1;
